Listar contas
Este endpoint retorna todas as contas cadastradas.
GET
/AccountEste endpoint retorna todas as contas cadastradas.
Autenticação
Autenticação obrigatória. Envie sua chave de API de usuário no header X-API-Key.
Parâmetros
| Nome | Local | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|---|
EnabledFilter | query | EnabledFilter | Não | 0 = All; 1 = Enabled; 2 = Disabled | — |
Name | query | string | Não | — | — |
CustomerTenantId | query | integer · int32 | Não | — | — |
Corpo da requisição
Esta operação não recebe corpo de requisição.
Exemplo de requisição
curl --request GET \
--url 'https://api.zild.ai/Account?EnabledFilter={EnabledFilter}&Name={Name}&CustomerTenantId={CustomerTenantId}' \
--header 'X-API-Key: YOUR_USER_API_KEY'
Respostas
| Status | Descrição | Corpo da resposta |
|---|---|---|
200 | Sucesso ao retornar as contas | application/json · array<AccountDto> |
Exemplo de resposta (200):
[
{
"id": 0,
"name": "string",
"legalName": "string",
"site": "string",
"linkedInUrl": "string",
"email": "string",
"taxId": "string",
"enabled": true,
"customerTenantId": 0
}
]
Modelos de dados
AccountDto
| Propriedade | Tipo | Obrigatório | Descrição | Restrições |
|---|---|---|---|---|
id | integer · int32 | Não | — | — |
name | string | Não | — | aceita null |
legalName | string | Não | — | aceita null |
site | string | Não | — | aceita null |
linkedInUrl | string | Não | — | aceita null |
email | string | Não | — | aceita null |
taxId | string | Não | — | aceita null |
enabled | boolean | Não | — | — |
customerTenantId | integer · int32 | Não | — | — |
EnabledFilter
0 = All; 1 = Enabled; 2 = Disabled
integer